# Creates new staged invoice lines for a given staged invoice.

Endpoint: POST /invoices/staged/{stagedInvoiceId}/lines
Version: v3.0: 3.30.0
Security: Auth API User Token

## Path parameters:

  - `stagedInvoiceId` (string, required)
    The ID of the staged invoice.

## Request fields (application/json-patch+json):

  - `lines` (array | null)
    Gets the list of invoice lines.

  - `lines.lineType` (string | null)

  - `lines.lineNumber` (integer | null)

  - `lines.lineIdentifier` (string | null)

  - `lines.vendorPNMatch` (string | null)
    Gets the Vendor Part Number Match (SKU)

  - `lines.reference` (string | null)

  - `lines.description` (string | null)

  - `lines.quantity` (number | null)

  - `lines.sizeMatch` (string | null)

  - `lines.beanAccountMatch` (string | null)

  - `lines.vendorPrice` (number | null)

  - `lines.expenseAmount` (number | null)

  - `lines.upc` (string | null)

  - `lines.packSize` (string | null)

## Response 200 fields (application/json):

  - `id` (string)

  - `creationKey` (string | null)

## Response 201 fields (application/json):

  - `id` (string)

  - `creationKey` (string | null)

## Response 500 fields (application/json):

  - `message` (string | null)

  - `errors` (array | null)

  - `errors.message` (string | null)

  - `errors.extensions` (string | null)

